### Function

# EDataServer xmlhash_compare

#### Declaration [src]

    EXmlHashStatus
    e_xmlhash_compare (
      EXmlHash* hash,
      const gchar* key,
      const gchar* compare_data
    )

#### Description [src]

Compares the value with key equal to `key` in `hash` against `compare_data`.

#### Parameters

`hash`

  Type: `EXmlHash`

  The `EXmlHash` to compare against.

  The data is owned by the caller of the function.

`key`

  Type: `const gchar*`

  The key of the hash entry to compare with.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`compare_data`

  Type: `const gchar*`

  The data to compare against the hash entry.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EXmlHashStatus`

E_XMLHASH_STATUS_SAME if the value and `compare_data` are equal,E_XMLHASH_STATUS_DIFFERENT if they are different, or E_XMLHASH_STATUS_NOT_FOUND if there is no entry in `hash` with its key equal to `key`.